package metas

import (
    "time"
)

/*
class Video(DeclarativeDeneb):
    __tablename__ = 'metas_film_videos'
    # {
    id = Column(UUID, primary_key=True, default=func.uuid_generate_v4())
    definition = Column(String(24), nullable=False, default="SD")
    uri = Column(String(256), nullable=False, default="")
    duration = Column(Integer, nullable=False, default=0)
    filmId = Column('film_id', UUID,
                    ForeignKey(Film.__tablename__ + '.id', onupdate="CASCADE", ondelete="CASCADE"),
                    nullable=False)
    mediaType = Column('media_type', String(16), nullable=False, index=True, default="HLS")
    created = Column(DateTime, nullable=False, default=func.NOW())
    updated = Column(DateTime, nullable=False, default=func.NOW())
    # }
    film = relation('Film', uselist=False, backref=backref("videos"))
 */
type Video struct {
    Id         string `json:"id,omitempty"`
    Definition string `json:"definition"`
    Uri        string `json:"uri"`
    Duration   int `json:"duration"`
    FilmId     string `json:"filmId,omitempty"`
    MediaType  string `json:"mediaType"`
    Created    *time.Time `json:"created,omitempty"`
    Updated    *time.Time `json:"Updated,omitempty"`
}
