package restlet

const CONTENT_HEADER_SIZE = 32

const (
    SUCCESS_OK = 20000
    SUCCESS_CREATED = 20100
    SUCCESS_DELETED = 20400
)

const (
    ERROR_BAD_REQUEST = 40000 + iota
    ERROR_INVALID_REQUEST
    ERROR_INVALID_PATH
    ERROR_INVALID_PARAMS
    ERROR_INVALID_DATA
)
const (
    ERROR_UNAUTHORIZED = 40100 + iota
    ERROR_LOGGIN_REQUIRED
    ERROR_SECURET_REQUIRED
)
const (
    ERROR_FORBIDDEN = 40300 + iota
    ERROR_PERMISSION_DENNIED
    ERROR_RESOURCE_LOCKED
)
const (
    ERROR_NOT_FOUND = 40400 + iota
    ERROR_OBJECT_NOT_FOUND
    ERROR_ASSETS_NOT_FOUND
)
const (
    ERROR_METHOD_NOT_ALLOWED = 40500 + iota
)
const (
    ERROR_NOT_ACCEPTABLE = 40600 + iota
)
const (
    ERROR_REQUEST_TIMEOUT = 40800 + iota
)
const (
    ERROR_CONFLICT = 40900 + iota
    ERROR_RESOURCE_EXISTS
    ERROR_RESOURCE_NOT_COMPATIBLE
)
const (
    ERROR_GONE = 41000 + iota
)
const (
    FATAL_INTERNAL_SERVER_ERROR = 50000 + iota
    FATAL_DB_READ_FAILED
    FATAL_DB_WRITE_FAILED
    FATAL_DATA_ENCODE_FAILED
    FATAL_DATA_DECODE_FAILED
)
const (
    FATAL_NOT_IMPLEMENTED = 50100 + iota
)
const (
    FATAL_BAD_GATEWAY = 50200 + iota
)
const (
    FATAL_SERVICE_UNAVAILABLE = 50300
)
const (
    FATAL_GATEWAY_TIMEOUT = 50400 + iota
)

const (
    QCTRL_OFFSET = "__offset"
    QCTRL_LIMIT = "__limit"
    QCTRL_INCLUDES = "__includes"
    QCTRL_EXCLUDES = "__excludes"
    QCTRL_ORDERBY = "__order_by"
    QCTRL_GROUPBY = "__group_by"
    QCTRL_OFFSET_DEFAULT = 0
    QCTRL_LIMIT_DEFAULT = 50
)
