package stage


/*
class LayoutScreen(DeclarativeDeneb):
    __tablename__ = "stage_layout_screens"
    # { Columns
    id = Column(UUID, primary_key=True, default=func.uuid_generate_v4())
    groupName = Column('group_name', String(16), nullable=False, default="17-1D")
    # fitScreen = Column('fit_screen', String(64), nullable=False, default="*")
    width = Column('width', Integer, nullable=False, default=1280)
    height = Column('height', Integer, nullable=False, default=720)
    created = Column(DateTime, nullable=False, default=func.NOW())
    updated = Column(DateTime, nullable=False, default=func.NOW())
    # }
    frames = relationship('LayoutFrame', uselist=True, backref=backref("screen"))
*/
type LayoutScreen struct {

}
/*
class LayoutFrame(DeclarativeDeneb):
    __tablename__ = "stage_layout_frames"
    # { Columns
    id = Column(UUID, primary_key=True, default=func.uuid_generate_v4())
    index = Column('idx', SmallInteger, nullable=False, default=1)
    title = Column(Unicode(32), nullable=False, default=u"")
    icon = Column(String(256), nullable=False, default="")
    padding = Column(SmallInteger, nullable=False, default=1)
    cellWidth = Column('cell_width', SmallInteger, nullable=False, default=190)
    cellHeight = Column('cell_height', SmallInteger, nullable=False, default=160)
    bgImage = Column('bg_image', String(256), nullable=False, default="")
    screenId = Column('screen_id', UUID,
                      ForeignKey(LayoutScreen.__tablename__ + '.id', onupdate="CASCADE", ondelete="CASCADE"),
                      nullable=False)
    created = Column(DateTime, nullable=False, default=func.NOW())
    updated = Column(DateTime, nullable=False, default=func.NOW())
    # }
    rows = relationship('LayoutRow',
                        uselist=True,
                        backref=backref("frame"))
*/
type LayoutFrame struct {

}
/*
class LayoutRow(DeclarativeDeneb):
    __tablename__ = "stage_layout_rows"
    # { Columns
    id = Column(UUID, primary_key=True, default=func.uuid_generate_v4())
    index = Column('idx', SmallInteger, nullable=False, default=1)
    width = Column(SmallInteger, nullable=False, default=0)
    height = Column(SmallInteger, nullable=False, default=160)
    frameId = Column('frame_id', UUID,
                     ForeignKey(LayoutFrame.__tablename__ + '.id', onupdate="CASCADE", ondelete="CASCADE"),
                     nullable=False)
    created = Column(DateTime, nullable=False, default=func.NOW())
    updated = Column(DateTime, nullable=False, default=func.NOW())
    # }
    cells = relationship('LayoutCell',
                         uselist=True,
                         backref=backref("row"))
*/
type LayoutRow struct {

}
/*
class LayoutCell(DeclarativeDeneb):
    __tablename__ = "stage_layout_cells"
    # { Columns
    id = Column(UUID, primary_key=True, default=func.uuid_generate_v4())
    index = Column('idx', SmallInteger, nullable=False, default=1)
    image = Column(String(256), nullable=False, default="")
    action = Column(String(256), nullable=False, default="")
    title = Column(Unicode(32), nullable=False, default=u"")
    showTitle = Column('show_title', SmallInteger, nullable=False, default=0)
        # -1: never display, 0: display when focus, 1: always display
    textSize = Column('text_size', SmallInteger, nullable=False, default=15)
    textColor = Column('text_color', String(16), nullable=False, default="#FFFFFF")
    textBackground = Column('text_bg', String(16), nullable=False, default="#000000")
    cellBackground = Column('cell_bg', String(16), nullable=False, default="#000000")
    colSpan = Column('col_span', SmallInteger, nullable=False, default=1)
    rowSpan = Column('row_span', SmallInteger, nullable=False, default=1)
    rowId = Column('row_id', UUID,
                   ForeignKey(LayoutRow.__tablename__ + '.id', onupdate="CASCADE", ondelete="CASCADE"),
                   nullable=False)
    created = Column(DateTime, nullable=False, default=func.NOW())
    updated = Column(DateTime, nullable=False, default=func.NOW())
    # }
*/
type LayoutCell struct {

}
/*
class Splash(DeclarativeDeneb):
    __tablename__ = "stage_layout_splashes"
    # { Columns
    id = Column(UUID, primary_key=True, default=func.uuid_generate_v4())
    groupName = Column('group_name', String(16), nullable=False, default="17-1D")
    # fitScreen = Column('fit_screen', String(64), nullable=False, default="*")
    description = Column(Unicode(256), nullable=True)
    created = Column(DateTime, nullable=False, default=func.NOW())
    updated = Column(DateTime, nullable=False, default=func.NOW())
    # }
    media = relationship('SplashMedia', uselist=False, backref=backref("splash"))
*/
type Splash struct {

}
/*
class SplashMedia(DeclarativeDeneb):
    __tablename__ = "stage_layout_splash_medias"
    # { Columns
    id = Column(UUID, primary_key=True, default=func.uuid_generate_v4())
    mode = Column(String(24), nullable=False, default="")
    loops = Column(SmallInteger, nullable=False, default=1)
    splashId = Column('splash_id', UUID,
                      ForeignKey(Splash.__tablename__ + '.id', onupdate="CASCADE", ondelete="CASCADE"),
                      nullable=False)
    created = Column(DateTime, nullable=False, default=func.NOW())
    updated = Column(DateTime, nullable=False, default=func.NOW())
    # }
    images = relationship('SplashImage', uselist=True, backref=backref("media"))
*/
type SplashMedia struct {

}
/*
class SplashImage(DeclarativeDeneb):
    __tablename__ = "stage_layout_splash_images"
    # { Columns
    id = Column(UUID, primary_key=True, default=func.uuid_generate_v4())
    index = Column('idx', SmallInteger, nullable=False, default=1)
    source = Column(String(256), nullable=False, default="")
    mode = Column(String(24), nullable=False, default="center")
    text = Column(UnicodeText, nullable=True)
    duration = Column(SmallInteger, nullable=False, default=1)
    mediaId = Column('media_id', UUID,
                     ForeignKey(SplashMedia.__tablename__ + '.id', onupdate="CASCADE", ondelete="CASCADE"),
                     nullable=False)
    created = Column(DateTime, nullable=False, default=func.NOW())
    updated = Column(DateTime, nullable=False, default=func.NOW())
    # }
 */
type SplashImage struct {

}
