package x3a

import (
    "time"
)

type RegisterForm struct {
    DeviceId   string   `json:"deviceId"`
    MacAddress string   `json:"macAddress"`
    SessionId  string   `json:"sessionId"`
    ModelName  string `json:"modelName"`
    SerialNum  string `json:"serialNum"`
    HWVersion  string `json:"hwVersion"`
    OSVersion  string `json:"osVersion"`
    SWVersion  string `json:"swVersion"`
}

type DeviceInfo struct {
    DeviceId        string   `json:"deviceId"`
    Group           string   `json:"group"`
    MacAddress      string   `json:"macAddress"`
    SessionId       string   `json:"sessionId"`
    ModelName       string `json:"modelName"`
    SerialNum       string `json:"serialNum"`
    HWVersion       string `json:"hwVersion"`
    OSVersion       string `json:"osVersion"`
    SWVersion       string `json:"swVersion"`
    Forbidden       bool `json:"forbidden"`
    RemoteAddress   string `json:"remoteAddress"`
    RegisterMessage string `json:"registerMessage"`
    Created         time.Time   `json:"created"`
    Updated         time.Time   `json:"updated"`
}

type SessionInfo struct {
    DeviceId      string   `json:"deviceId"`
    Group         string   `json:"group"`
    MacAddress    string   `json:"macAddress"`
    SessionId     string   `json:"sessionId"`
    RemoteAddress string `json:"remoteAddress"`
    Created       time.Time   `json:"created"`
}

